cascading.operation.assertion

## Class AssertNull

- java.lang.Object
- - cascading.operation.BaseOperation<C>
  - - cascading.operation.assertion.BaseAssertion
    - - cascading.operation.assertion.AssertNull

- All Implemented Interfaces:
    DeclaresResults, Assertion, Operation, PlannedOperation, ValueAssertion, Traceable, Serializable

      public class AssertNull
      extends BaseAssertion
      implements ValueAssertion

  Class AssertNull asserts that every value in the argument values `Tuple` is a null value.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.operation.BaseOperation

      `fieldDeclaration, numArgs, trace`

    - ### Fields inherited from interface cascading.operation.Operation

      `ANY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertNull()` Constructor AssertNull creates a new AssertNull instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doAssert(FlowProcess flowProcess, ValueAssertionCall assertionCall)` Method doAssert performs the assertion.

    - ### Methods inherited from class cascading.operation.assertion.BaseAssertion

      `equals, fail, fail, getMessage, hashCode, supportsPlannerLevel, throwFail, throwFail`

    - ### Methods inherited from class cascading.operation.BaseOperation

      `cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, prepare, printOperationInternal, toString, toStringInternal`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface cascading.operation.PlannedOperation

      `supportsPlannerLevel`

    - ### Methods inherited from interface cascading.operation.Operation

      `cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

- - ### Constructor Detail

    - #### AssertNull

          public AssertNull()

      Constructor AssertNull creates a new AssertNull instance.

  - ### Method Detail

    - #### doAssert

          public void doAssert(FlowProcess flowProcess,
                      ValueAssertionCall assertionCall)

      Description copied from interface: `ValueAssertion`
      Method doAssert performs the assertion.
      Specified by:
        `doAssert` in interface `ValueAssertion`
      Parameters:
        `flowProcess` - of type FlowProcess
        `assertionCall` - of type ValueAssertionCall

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.